//******************************** 公告***********************************//
// 查询最新的公告信息
var more_announcementParams = {
		"cls" : "Announcement_queryNewAnnouncementList",
		"totalCount" : 0,
		"beginNum" : 0,
		"step" : 10,
		"sort" : "beginTime",
		"dir" : "desc",
		};

function more_queryAnnouncementList(ajaxObj){
	if(ajaxObj.code == ajaxObj.constants.SUCCESS){
		var objs = ajaxObj.objs;
		var totalCount = ajaxObj.params.totalCount;
		if(objs.length==0){
			more_noAnnouncementContent();
		}else {
			$(objs).each(function(){
					var announcementId = this.get("announcementId"); 
					var title = this.get("title");
					
					var beginTime= this.get("createTime");
					beginTime=beginTime.toString().substring(0,11);
					more_announcementHTML(announcementId,title,beginTime);
				});
			// 判断是否显示加载更多按钮
			checkLoadMore(more_announcementParams,more_queryAnnouncementList,"loadmore_announcementList");
		}
		
		sdmtv.closeShowLoading();
	}else{
		handErrorMsg(ajaxObj.message);
		
		sdmtv.closeShowLoading();
	}		
}
// 没有公告信息时
function more_noAnnouncementContent(){
		$("#announcementList").append("<div style='min-height: 457px;  text-align:center;  '><img height='100px'  style ='padding-top: 200px;' src='../more/images/gonggao.png' width='105px' ></div>");
}
// 公告列表
function more_announcementHTML(announcementId,title,beginTime){
	var div=$("#announcement_partList");
	div.append("<a href='#' onclick='more_showAnnouncementDetail("+announcementId+",this);'>" +
			"<table class='announcement_table' style='height:64px;padding:10px;table-layout:fixed;width:100%;'>" +
			"<tr>" +
			"	<td><span style='font-family:黑体;color:#000000;font-size:15px;font-weight:bolder;display:block;overflow:hidden;margin-left:10px;" +
					"white-space:nowrap;text-overflow:ellipsis;'>"+title+"</span>" +
				"</td>" +
			"</tr>" +
			"<tr>" +
			"	<td><span style='font-family:黑体;font-size:13px;color:" +
				"#6e6e6e;margin-left:10px;'>发布时间："+beginTime +"</span>" +
				"</td>" +
			"</tr></table></a>");
	div.append("<div class='List_Cont_recommend_div'></div>");
	
}
// 跳到公告详情页
function more_showAnnouncementDetail(announcementId,obj){
	sdmtv.changePage("index/ann", {"Look_Notice_Id" : announcementId});
}			
// 返回上级页面
function announcement_backToHome(){
	more_announcementParams.beginNum = 0 ;
	more_announcementParams.totalCount = 0 ;
	history.back();
}
// *********************************************back.js****************************************//
// 字数控制
var back_controler;
function back_open() {
	back_controler = setInterval("back_deal()", 500);
}
function back_deal() {
	var tmp = $(".moreback_bknf").val();
	$("#msg_count span:first-child").html($(".moreback_bknf").val().length > 100 ? "100" : $(".moreback_bknf").val().length);
}
function back_close() {
	clearInterval(back_controler);
}
// 反馈结果
function moreback_callback(ajaxObj) {
	if (ajaxObj.code == ajaxObj.constants.SUCCESS) {
		$(".moreback_bknf").attr("value", "");
		// 添加提示信息 和 wap端的不同
	    var objs = ajaxObj.objs;
	    var score = "0";
		$(objs).each(function () {
			score = this.get("score");
		});
		if(score == "0"){
			alert(ajaxObj.message);
		}else{
			alert("反馈已经提交成功（+" + score + "积分）");
		}
		$("#msg_count span:first-child").html("0");
		history.back();
	} else {
		alert("您的邮箱地址有误,请确认后提交");
	}
}

// 用户反馈
var fltr_mobi = /^0{0,1}(13[3-9]|15[7-9]|15[0-3]|18[5-9]|13[0-2]|15[5-6]|18[0]|14[7])[0-9]{8}$/;
var fltr_mail = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z]{2,4})+$/;
function more_backBk() {
		if ($.trim($(".moreback_bknf").val()) == "") {
			alert("\u8bf7\u8f93\u5165\u53cd\u9988\u5185\u5bb9");
		} else if ($.trim($(".moreback_mobile").val()) == "" && $.trim($(".moreback_mail").val()) == ""){
			$(".moreback_mobile").attr("value","");
			$(".moreback_mail").attr("value","");
			confirm("请输入手机号码或是邮箱地址");
			return ;
		} else { 
			if ($(".moreback_mobile").val() != "" && !fltr_mobi.test($(".moreback_mobile").val())) {
				alert("\u8bf7\u8f93\u5165\u6b63\u786e\u7684\u624b\u673a\u53f7\u7801");
				$(".moreback_mobile").focus();
			} else {
				if ($(".moreback_mail").val() != "" && !fltr_mail.test($(".moreback_mail").val())) {
					alert("\u8bf7\u8f93\u5165\u6b63\u786e\u7684\u90ae\u7bb1\u5730\u5740");
					$(".moreback_mail").focus();
				} else {
			// 登录验证
					var param = {
						"cls":"Feedback_add",
						"type":"Feedback",
						"content":$(".moreback_bknf").val(),
						"phone":$(".moreback_mobile").val(),
						"email":$(".moreback_mail").val(),
						"deviceDesc":localStorage.getItem("deviceDesc")
					};
					new $sdmtv_ajax(param, moreback_callback);
				}
			}
		}
}

// *******************************************help.js***************************************//
var siteHome_checkClick = 0;
function more_chkHelp(id){
	var nowTime = new Date().getTime();
	if(nowTime - siteHome_checkClick <= 500){
		siteHome_checkClick = new Date().getTime();
		return;
	}
	siteHome_checkClick = new Date().getTime();
	if($("#m_h_"+id).css("display")=="none"){
		$("#m_h_"+id).css("display","block");
		$("#m_h_i_"+id).get(0).src='images/open.png';
	}
	else{
		$("#m_h_"+id).css("display","none");
		$("#m_h_i_"+id).get(0).src='images/close.png';
	}
}
// ***************************************************home.js******************************//

function home_toPage(obj,target){
	$.mobile.changePage(target);
}

