// 自动登陆

function common_autoLogin(callback) {
	var userName = window.localStorage.getItem("username_");
	var newBase = window.localStorage.getItem("encrypPass");
	if (null == newBase || null == userName) {
		//alert("自动登录失败，获取预留信息错误。");
		window.localStorage.setItem("auto_login", "0"); // 取消自动登录
		window.localStorage.removeItem("customerId_"); // 移除用户id
		return false;
	}
	//base64解码
	var oldoldBaseOne = base64decode(newBase);
	var v = new Array;
	v = oldoldBaseOne.split(":");
	if (v.length == 2) {
		if (userName.toLowerCase() != v[0].toLowerCase()) {
			alert("自动登录失败，用户名和密码错误。");
			window.localStorage.setItem("auto_login", "0"); // 取消自动登录
			window.localStorage.removeItem("customerId_"); // 移除用户id
			return false;
		}
		var param = {
			"cls": "Customer_verifiLand",
			"username": v[0],
			"md5KeyPassword": v[1]
		}

		new $sdmtv_ajax(param, function(ajaxObj) {
			if (ajaxObj.code == ajaxObj.constants.SUCCESS) {
				var objs = ajaxObj.objs;
				var customerId = "";
				var score = "";
				$(objs).each(function() {
					customerId = this.get("customerId");
					score = this.get("score");
				})
				if (customerId != "") {
					window.localStorage.setItem('customerId', customerId);
					window.localStorage.setItem('loginType', '');
					//                        // 发送数据到native
					//                        sdmtv.memoryBaseInfo(window.localStorage.getItem("customerId"),
					//                                             window.localStorage.getItem("virtualId"),
					//                                             window.localStorage.getItem("platformRecordId"));
					//积分请求
					if (score != "") {
						confirm("每日登录成功 （+" + score + "积分）");
						//提示后延迟跳转
					}
					setTimeout(function() {
						if (typeof callback == "function") {
							callback(true);
						}
					}, score != "" ? 1500 : 1000)

				} else {
					alert("登录失败，用户名和密码错误。");
					window.localStorage.setItem("auto_login", "0"); // 取消自动登录
					window.localStorage.removeItem("customerId_"); // 移除用户id
					if (typeof callback == "function") {
						callback();
					}
				}
			} else {
				alert(ajaxObj.message);
			}
		});
	} else {
		//alert("自动登录失败，获取预留信息错误。");
		window.localStorage.setItem("auto_login", "0"); // 取消自动登录
		window.localStorage.removeItem("customerId_"); // 移除用户id
		return false;
	}
	return true;
}



//生成时间

function createTime() {
	var currentDate = new Date();
	var mon = (currentDate.getMonth() + 1);
	mon = (mon <= 9 ? "0" : "") + mon;
	var date = currentDate.getDate();
	date = (date <= 9 ? "0" : "") + date;
	var hours = currentDate.getHours();
	hours = (hours <= 9 ? "0" : "") + hours;
	var minutes = currentDate.getMinutes();
	minutes = (minutes <= 9 ? "0" : "") + minutes;
	return currentDate.getFullYear() + "-" + mon + "-" + date + " " + hours + ":" + minutes;
}
// 创建年月日字符串

function createDate() {
	var currentDate = new Date();
	var mon = (currentDate.getMonth() + 1);
	mon = (mon <= 9 ? "0" : "") + mon;
	var date = currentDate.getDate();
	date = (date <= 9 ? "0" : "") + date;
	return currentDate.getFullYear() + "-" + mon + "-" + date;
}
// 创建事件字符串

function createCurrentTime() {
	var currentDate = new Date();
	var hours = currentDate.getHours();
	hours = (hours <= 9 ? "0" : "") + hours;
	var minutes = currentDate.getMinutes();
	minutes = (minutes <= 9 ? "0" : "") + minutes;
	return hours + ":" + minutes;
}

var dragRefresh = {};
// 首页下拉刷新回调
dragRefresh["indexPage"] = function(callback) {
	var index_paramsNotice = {
		"cls": "Announcement_queryNewAnnouncementList",
		"totalCount": 0,
		"beginNum": 0,
		"step": 5,
		"sort": "beginTime",
		"dir": "desc",
		
	};
	// 获取首页顶部广告
	var index_paramAD = {
		"cls": "Advertisement_list",
		"position": "ad_main_tp",
		
	};

	new $multipleSdmtvAjax([index_paramsNotice, index_paramAD], [Get_Notice, Get_TopAd], undefined, {
		finishedCallback: callback
	});
};
// 推荐页面增加下拉刷新回调
dragRefresh["recommendPage"] = function(callback) {
	recommend_inIt(callback);

}
//分享

function common_shareProgram() {
	var programName = window.sessionStorage.getItem("programName");
	var sendcontent = "我正在#山东网络台#观看《" + programName + "》，推荐给您！";
	var customerId = window.sessionStorage.getItem("customerId");
	var programId = window.sessionStorage.getItem("share_programId");
	var programType = window.sessionStorage.getItem("share_programType");
	var method = "select";
	var musicBackId = "";
	if ("music" == programType) {
		musicBackId = window.sessionStorage.getItem("musicBackId");
		sdmtv.popWeibo(method, customerId, "", programType, programId, programName, musicBackId);
	} else {
		musicBackId = "";
		sdmtv.popWeibo(method, customerId, "", programType, programId, programName);
	}
}

// 生成点评html

function reviewsCompositionHTML(params) {
	var elem = document.createElement("div");
	var grade = "";
	if (typeof params.gradeName == "string" && params.gradeName.length > 0) {
		grade = "(" + params.gradeName + ")"
	}
	// 点评的模板参数
	var data = {
		name: params.customerName + grade,
		time: params.createTime,
		content: common_replaceChar(params.content),
		clickParam: params.clickParam,
		userImg: (params.sex == "1" ? "../../images/Icon_AvatarMan_84.PNG" : "../../images/Icon_AvatarWoman_84.PNG")
	};

	// 添加table到列表中
	var divElement = document.getElementById(params.elementId);
	if (divElement) {
		doTHelper.tmplPagefn(divElement, "reviews", data);
		doTHelper.tmplPagefn(divElement, "newLine");
	}
}

//没有点评view  eid:tvDianpinCont

function reviewsNoComment(eid) {
	$("#" + eid).html("<div class='ListOrContent_nofound'>还没有人点评，快抢占沙发！</div>");
}
/**
 * 预约
 *
 * @param broadcastProgramRealationId
 * @param liveTime
 * @param programName
 * @param isNowBroadcast
 * @param isNextBroadcast
 * @param isCanTip
 * @param isTip
 * @param customeTipId
 * @param tipLimit
 * @param programType
 *            liveVideo 等
 * @param detailsName
 *            document.getElementById("tvLiveDetailsName").innerText
 * @return
 */
//预约组成html

function trailerCompositionHTML(params) {
	var table = document.createElement("table");
	table.className = "tvNoticeCss";
	var html = "<tr style='text-align:left;'>" + "<td style='width:50px;padding-left:14px;font-size: 14px;color:#cecece;'>" + params.liveTime + "</td>" + "<td style='font-size: 14px;color:#cecece;display:table-cell' class='one_line'>" + params.programName + "</td>" + "<td style='width:80px;padding-right:14px;'>";
	html += trailerCreateTipBtn(params);
	var endHtml = "</td></tr>" +
		"<tr><td colspan='3'> <div class='dividing_line'></div></td></tr>";
	table.innerHTML = html + endHtml;
	// 添加table到列表中
	if (typeof params.elementId === "string") {
		var divElement = document.getElementById(params.elementId);
		if (divElement) {
			divElement.appendChild(table);
		}
	}
	return table;
}
// 预约按钮

function trailerCreateTipBtn(params) {
	var html = null;
	if (params.isNowBroadcast == "true") {
		return "正在播放";
	} else if (params.isNextBroadcast == "true") {
		return "即将播放";
	} else if (params.isCanTip == "true") {
		html = "<img style='vertical-align: middle;' onclick='javascript:!chk_to_page()?this:trailerAppointment(" + params.broadcastProgramRealationId + ",this,\"" + params.liveTime + "\",\"" + params.programName + "\",\"" + params.tipLimit + "\",\"" + params.programType + "\",\"" + params.detailsName + "\",\"" + params.liveid + "\");' src='../tvLive/images/dyy.png' width='60' />";
		return html;
	} else if (params.isCanTip == "false") {
		html = "<img style='vertical-align: middle;' onclick='javascript:!chk_to_page()?this:trailerCancleAppointment(" + params.customeTipId + "," + params.broadcastProgramRealationId + ",this,\"" + params.liveTime + "\",\"" + params.programName + "\",\"" + params.tipLimit + "\",\"" + params.programType + "\",\"" + params.detailsName + "\",\"" + params.liveid + "\");' src='../tvLive/images/yyy.png' width='60' />";
		return html;
	}
}
// 预约

function trailerAppointment(id, obj, liveTime, name, limitTime, programType, detailsName, liveid) {
	var customerId_tvLive_Details = window.sessionStorage.getItem("customerId");
	if (customerId_tvLive_Details != null) {
		var appointment_Paramt = {
			"cls": "Tip_add",
			"customerId": customerId_tvLive_Details,
			"programType": programType,
			"programId": id,
			
		};
		var param = {
			yuyueobj: obj,
			playTime: liveTime,
			yuyueName: name,
			yuyueTime: limitTime,
			yuyueid: id,
			programType: programType,
			detailsName: detailsName,
			liveid: liveid
		};
		new $sdmtv_ajax(appointment_Paramt, function(ajaxObj, param) {
			if (ajaxObj.code == ajaxObj.constants.SUCCESS) {
				var objs = ajaxObj.objs;
				alert("预约成功，系统将在节目播出前30分钟提醒您");
				var customeTipId = null;
				$(objs).each(function() {
					customeTipId = this.get("customeTipId");
				})
				param.yuyueobj.src = "";
				param.yuyueobj.src = "../tvLive/images/yyy.png";
				param.yuyueobj.onclick = function() {
					if (chk_to_page()) {
						trailerCancleAppointment(customeTipId, param.yuyueid, param.yuyueobj, param.playTime, param.yuyueName,
						param.yuyueTime, param.programType, param.detailsName, param.liveid);
					}
				}
				//				var tempname = document.getElementById("tvLiveDetailsName").innerText;
				// 本地预约
				sdmtv.Notification(param.programType, param.yuyueid, param.playTime, param.yuyueTime, param.detailsName + "《" + param.yuyueName + "》将于" + param.playTime + "播出，请及时观看!", param.liveid);
			} else {
				handErrorMsg(ajaxObj.message);
			}
		}, param);
	}
}

// 取消预约

function trailerCancleAppointment(tipid, id, obj, liveTime, name, limitTime, programType, detailsName, liveid) {
	var Cancel_appointment_Paramt = {
		"cls": "Tip_delete",
		"customeTipIds": tipid,
		
	};
	var param = {
		yuyueobj: obj,
		playTime: liveTime,
		yuyueName: name,
		yuyueTime: limitTime,
		yuyueid: id,
		programType: programType,
		detailsName: detailsName,
		liveid: liveid
	};
	new $sdmtv_ajax(Cancel_appointment_Paramt, function(ajaxObj, param) {
		if (ajaxObj.code == ajaxObj.constants.SUCCESS) {
			var objs = ajaxObj.objs;
			var code = ajaxObj.code;
			alert("预约已取消");
			param.yuyueobj.src = "";
			param.yuyueobj.src = "../tvLive/images/dyy.png";
			param.yuyueobj.onclick = function() {
				if (chk_to_page()) {
					trailerAppointment(param.yuyueid, param.yuyueobj, param.playTime, param.yuyueName,
					param.yuyueTime, param.programType, param.detailsName, param.liveid);
				}
			}
			sdmtv.CancelNotification(param.programType, param.yuyueid);
		} else {
			handErrorMsg(ajaxObj.message);
		}
	}, param);
}


/**
 * 收藏
 *
 * @param obj
 * @param programType
 * @param programId
 * @param customerCollectionId
 *            未收藏时，值为-1
 * @return
 */
// 页面创建时，初始化收藏

function collectionReset(obj, programType, programId, customerCollectionId) {
	if (customerCollectionId != "-1") {
		$(obj).addClass("common_collection_collected");
		obj.onclick = function() {
			collectionRemove(obj, programType, programId, customerCollectionId); // 取消收藏
		}

	} else {
		$(obj).removeClass("common_collection_collected");
		obj.onclick = function() {
			collectionAdd(obj, programType, programId); // 添加收藏
		}
	}
	// 供客户端播放器使用
	window.localStorage.setItem("cusCollId", customerCollectionId);
}

// 添加收藏

function collectionAdd(obj, programType, programId) {
	if (chk_to_page()) {
		var params = {
			"cls": "Collection_add",
			"programType": programType, // "liveVideo"
			"programId": programId,
			
		};
		new $sdmtv_ajax(params, function(ajaxObj) {
			if (ajaxObj.code == ajaxObj.constants.SUCCESS) {
				if ($(obj).attr("noshow") == "true") {
					$(obj).attr("noshow", "false");
				} else {
					alert("收藏成功");
				}
				$(ajaxObj.objs).each(function() {
					collectionReset(obj, programType, programId, this.get("customerCollectionId"));
				});
			} else {
				alert(ajaxObj.message);
			}
		});
	}
}

// 取消收藏

function collectionRemove(obj, programType, programId, customerCollectionId) {
	var params = {
		"cls": "Collection_delete",
		"customerCollectionIds": customerCollectionId,
		
	};
	new $sdmtv_ajax(params, function(ajaxObj) {
		if (ajaxObj.code == ajaxObj.constants.SUCCESS) {
			if ($(obj).attr("noshow") == "true") {
				$(obj).attr("noshow", "false");
			} else {
				alert("收藏已取消");
			}
			collectionReset(obj, programType, programId, "-1");
		} else {
			alert(ajaxObj.message);
		}
	});
}


//隐藏底部菜单
var common_hide_footer = function() {
	if (judgmentModel() == "android") {
		clientMenu.hideBottomMenu(); //隐藏底部导航
	} else if (judgmentModel() == "iphone") {
		window.location.href = "hide_footer";
	}
}
//显示底部菜单
var common_show_footer = function() {
	if (judgmentModel() == "android") {
		clientMenu.showBottomMenu(); //显示底部导航
	} else if (judgmentModel() == "iphone") {
		window.location.href = "show_footer";
	}
}
// 	scroll 滚动到最顶部
var common_iscrollTop = function() {
	//var scroll = $("body>div.ui-page-active").data("iscroll-plugin");
    var scroll = $("[data-iscroll='enable']").data("iscroll-plugin");
	if (scroll) {
		scroll.toTop();
	}
}
/**
 * 过滤字符串中的html标签和空格
 * @param html
 * @return
 */
var common_htmlFlagFilter = function(html) {
	var s = html.replace(/<.*?>/g, "");
	s = s.replace(/\s|&nbsp;/g, "");
	return s;
}
/**
 * 页面跳转函数
 * @param url
 * @param params
 * @return
 */
var common_gotoPage = function(url, params) {
	if (params != null) {
		for (var p in params) {
			window.sessionStorage.setItem(p, params[p]);
		}
	}
	// local
	$.mobile.changePage(url);
}
/**
 * 替换字符串中的特殊字符：& > < 空格
 * @param s
 * @return
 */
var common_replaceChar = function(s) {
	s = s.replace(/&/g, "&amp;");
	s = s.replace(/ /g, "&nbsp;");
	s = s.replace(/>/g, "&gt;");
	s = s.replace(/</g, "&lt;");
	return s;
}
//创建不定数目的重复字符串 char * num 
//String.prototype.repeat = function( num )
//{
//	return new Array( isNaN(num)? 1 : ++num ).join( this );
//}
var common_repeatChar = function(pattern, count) {
	if (isNaN(count) || count < 1) return '';
	var result = "";
	while (count > 0) {
		if (count & 1) result += pattern;
		count >>= 1, pattern += pattern;
	}
	return result;
}

/**
 * 存放最近两次选择的底部工具条
 */
var resetTabbarItemHelper = {
	records: [3, 0, 0]
};
// 新tabbar
resetTabbarItemHelper.push = function(itemIndex) {
	var i = parseInt(itemIndex);
	if (typeof i == "number" && i >= 0 && i <= 5 && itemIndex != resetTabbarItemHelper.records[0]) {
		resetTabbarItemHelper.records[2] = resetTabbarItemHelper.records[1];
		resetTabbarItemHelper.records[1] = resetTabbarItemHelper.records[0];
		resetTabbarItemHelper.records[0] = itemIndex;
	}
};
// 返回上一个tabbar
resetTabbarItemHelper.pop = function() {
	resetTabbarItemHelper.records[0] = resetTabbarItemHelper.records[1];
	resetTabbarItemHelper.records[1] = resetTabbarItemHelper.records[2];
	resetTabbarItemHelper.records[2] = 0;
	return resetTabbarItemHelper.records[0];
};

var htmlHelper = {};
/**
 * 生成下拉弹出层
 */
htmlHelper.createSlideMenu = function(elem, userData, callback, keepOld) {
	var $btn = $(elem);
	var $menu = $btn.find(".slide_menu");
	if ($menu.length == 0) {
		var data = {};
		data.itemName = userData.itemName || [];
		data.itemIndex = userData.itemIndex || [];
		data.curItem = userData.curItem;
		if (typeof data.curItem == "undefined") {
			data.curItem = userData.itemIndex[0] || 0;
		}
		var itemCount = data.itemName.length;
		//		var menuHeight = 0;
		var i = 0;

		// 设置样式
		data.menuClass = "";
		for (i = itemCount - 1; i >= 0; i -= 1) {
			if (data.itemName[i].replace(/[^\u0000-\u00ff]/g, "aa").length > 12) {
				data.menuClass = "slide_menu_wide";
				//				menuHeight = 16+30*((itemCount-1>>1)+1);
				break;
			}
		}
		//		menuHeight = menuHeight || 16+30*((itemCount-1>>2)+1);

		// 生成菜单
		$menu = doTHelper.tmplPagefn(elem, "slide_menu", data);
		//		$menu.find(".slide_menu_bottom").css("height", menuHeight);

		// 绑定单击事件
		$menu.on("click", ".slide_menu_item[data-clickParam]", function() {
			var clickedIndex = $(this).attr("data-clickParam");
			var $oldItem = $menu.find(".slide_menu_curItem");
			var oldIndex = $oldItem.attr("data-clickParam");
			// 选择了不一样的菜单后，更新内容
			if (clickedIndex != oldIndex) {
				// 改变高亮项
				if (!keepOld) {
					$oldItem.removeClass("slide_menu_curItem");
					$(this).addClass("slide_menu_curItem");
				}
				if (typeof callback == "function") {
					callback.call(this, clickedIndex);
				}
			}
			$btn.toggleClass("slide_menu_hide");
			return false;
		});
		// 单击其他区域时，隐藏菜单
		$menu.bind("click", function() {
			$btn.toggleClass("slide_menu_hide");
		});
		// 待dom加载完成后，将其显示
		window.setTimeout(function() {
			$btn.toggleClass("slide_menu_hide");
		}, 100);
	} else {
		$btn.toggleClass("slide_menu_hide");
	}
};

//获取频道列表
common_channelList = function(param, page, callback, cur, keepOld) {
	new $sdmtv_ajax(param, function(ajaxObj) {
		var userData = {
			itemName: ["全部"],
			itemIndex: [-100],
			curItem: -100
		};
		if (ajaxObj.code == ajaxObj.constants.SUCCESS) {
			var objs = ajaxObj.objs;
			if (objs.length == 0) {

			} else {
				$(objs).each(function() {
					var programTypeId = this.get("programTypeId");
					var itemsName = this.get("itemsName");
					userData.itemName.push(itemsName);
					userData.itemIndex.push(programTypeId);
				});
			}
		}
		// 设置默认选中项
		if (cur != undefined) {
			var i = userData.itemName.length - 1;
			for (; i > 0; i -= 1) {
				if (cur == userData.itemIndex[i]) {
					userData.curItem = cur;
					break;
				}
			}
		}
		// 绑定事件
		var header = $(page).find(".header");
		$(header).on("click", ".header_right", function() {
			htmlHelper.createSlideMenu(header, userData, function(newItem) {
				var i = userData.itemName.length - 1,
					name = "";
				for (; i > 0; i -= 1) {
					if (userData.itemIndex[i] == newItem) {
						name = userData.itemName[i];
					}
				}
				if (typeof callback == "function") {
					if (name == "") {
						callback.call(this, "", "");
					} else {
						callback.call(this, newItem, name);
					}
				}
			}, keepOld);
		});
	});
};

var common_goWapMarket = function() {
	var url = sdmtv.WAP_MARKET +
		"?virtualId=" + window.localStorage.getItem("virtualId") +
		"&customerId=" + window.localStorage.getItem("customerId") +
		"&platformRecordId=" + window.localStorage.getItem("platformRecordId");
	sdmtv.popURL(url, true);
};

//安卓下载应用

function gameAppList_download(param) {
	var doRecord = true;
	window.isIDevice = (/iphone|ipad/i).test(navigator.appVersion);
	if (isIDevice) {
		sdmtv.openURL(param.appUrl);
	} else {
		//	sdmtv.popURL(param.appUrl);
		if (confirm("您确定要下载该应用吗？")) {
			sdmtv.downloadApp(param.appUrl, param.appName, param.appSize);
		} else {
			doRecord = false;
		}
	}
	if (doRecord) {
		var broadcastParams = {
			"cls": "App_addDownload02",
			"appId": param.appId,
			
		};
		new $sdmtv_ajax(broadcastParams);
	}
}
/**
 * 输入框绑定第一次修改事件
 *
 * 参数：
 *		inputId  : 输入框的Id
 * 		callback : 输入框内容第一次修改时的回调函数
 * 前置条件：
 *		inputId是输入框的Id
 * 后置条件:
 *		用户第一次修改输入框中的内容时：
 *			触发ballback函数.
 *		事件只触发一次。
 **/
var common_checkFirstModify = function(inputId, callback) {
	$("#" + inputId).one("keyup paste", function() {
		// 调用回调函数
		if (typeof callback == "function") {
			callback();
		}
	});
};
//*/

/**
 * 密码框设置默认值，并绑定第一次修改事件
 *
 * 参数：
 *		inputId  : 密码框的Id
 * 		callback : 密码框内容第一次修改时的回调函数
 * 前置条件：
 *		inputId是密码框的Id
 * 后置条件:
 * 		inputId对应的密码框显示长度为9的密码。
 *		用户第一次修改密码框中的内容时：
 *			若是增加内容，替换密码框中原有的内容为新输入的内容；
 * 			若是删除内容，清空密码框中的原有内容。
 *			同时触发ballback函数.
 *		事件只触发一次。
 **/
var common_checkFirstModifyOfPass = function(inputId, callback) {
	var password = "---------"; // 默认的密码占位符，长度为9
	$("#" + inputId).val(password);
	$("#" + inputId).one("keyup paste", function() {
		var pw = $(this).val(); // 修改后的密码
		var curPos = $(this).getCursorPosition(); // 当前光标位置
		var added = ""; // 增加的字符串

		if (curPos >= pw.length) { // 光标在输入框数据的末尾
			if (pw.length > password.length) { // 增加数据
				added = pw.substring(password.length, pw.length);
			} // 否则减少数据
		} else { // 光标在输入框数据的中间或开头
			var diffLen = pw.length - password.length;
			if (diffLen > 0) { // 增加数据
				added = pw.substring(curPos - diffLen, curPos);
			} // 否则减少数据
		}
		$(this).val(added);
		$(this).setCursorPosition(added.length);
		// 调用回调函数
		if (typeof callback == "function") {
			callback();
		}
	});
};
//*/

/**
 * -------------------------------------------------------------------------------------
 * 原生交互辅助函数 start
 * -------------------------------------------------------------------------------------
 **/

/**
 * 自定义本地存储函数构造器
 * 参数：p ：json对象，键值中的值为非json对象
 * 返回：w ：json对象
 * 前提条件：p为json对象，webview支持localStorage
 * 后置条件：返回对象w，w含有getItem、setItem、removeItem方法和value对象
 *         getItem(k): 从value和p中查找k对应的值，以value中的值优先
 *         setItem(k,v): 保存键值对(k, v)到value中
 *         removeItem(k): 在value中设置k对应的值为undefined，没有就添加一条
 **
 var common_newStorageFunc = function(p) {
 var w = {};
 w.value = {};
 w.getItem = function(k) {
 // 返回值以value中的值优先
 if (w.value.hasOwnProperty(k)) {
 return w.value[k];
 }
 return p[k];
 };
 w.setItem = function(k, v) {
 w.value[k] = v;
 };
 w.removeItem = function(k) {
 w.setItem(k, undefined);
 };
 return w;
 };
 //**/

/**
 * 将p中的内容存放到本地存储中
 * 参数：params ：json对象，键值中的值为非json对象
 * 返回：无
 * 前提条件：params为json对象，webview支持localStorage
 * 后置条件：params中的值存放到localStorage中
 **/
var storeStorage = function(params) {
/*	if (params || typeof params != "object") {
		params = {};
	}*/
	var v; 
	for (k in params) {
		if (params.hasOwnProperty(k)) {
           	v = params[k];
           	if (v == "__native__null") {
               	v = null;
           	}
			window.localStorage.setItem(k, v);
		}
	}
};

/**
 * 每个页面初始化都要调用sdmtv.pageInit方法
 *
 **/
$(document).ready(function() {
	// 对tab页，增加点击tab滚动到顶部的功能
	$(".tabs").on("click", "li", function(){common_iscrollTop()});
	sdmtv.pageInit("__PageInit");
});
//

/**
 * 由原生部分调用，将必要的信息保存到本地缓存中
 * 参数：params ：json对象，键值中的值为非json对象
 * 参数：extraParams ：json对象，键值中的值为非json对象
 * 返回：result: string : 返回执行pageInit的状态和页面路径
 * 前提条件：p为json对象，webview支持localStorage
 * 后置条件：将params和extraParams保存到本地缓存，如果页面定义了pageInit函数，运行该函数
 **/

function __PageInit(params, extraParams) {
	var result = "success";
	// 将params保存到本地缓存中
	storeStorage(params);
	storeStorage(extraParams);
	try {
		// 如果存在函数pageInit，就运行该函数
		if (typeof pageInit == "function") {
			pageInit();
		} else {
			result = "func pageInit not exist";
		}
	} catch (e) {
		result = "init error";
	}
	// 截取页面路径
	var url = window.location.href;
	if (typeof url == "string") {
		url = url.substring(url.lastIndexOf("www"));
	}
	// 返回函数执行结果
	return result + " -> " + url;
}
//**/
/**
 * -------------------------------------------------------------------------------------
 * 原生交互辅助函数 end
 * -------------------------------------------------------------------------------------
 **/